/attio | Type: Application | PCID required: Yes
Tools
attio_create_comments
Create a comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"description": "The data value"
}
},
"required": [
"PCID",
"data"
]
}
attio_create_files
Create a folder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
attio_create_lists
Create a list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"name": {
"type": "string",
"description": "The human-readable name of the list."
},
"api_slug": {
"type": "string",
"description": "A unique, human-readable slug to access the list through API calls. Should be formatted in snake case."
},
"parent_object": {
"type": "string",
"description": "A UUID or slug to identify the allowed object type for records added to this list."
},
"workspace_access": {
"type": "string",
"description": "The level of access granted to all members of the workspace for this list. Pass `null` to keep the list private and only grant access to specific workspace members.",
"enum": [
"full-access",
"read-and-write",
"read-only"
]
},
"workspace_member_access": {
"type": "array",
"items": {
"type": "object"
},
"description": "The level of access granted to specific workspace members for this list. Pass an empty array to grant access to no workspace members."
}
},
"required": [
"name",
"api_slug",
"parent_object",
"workspace_access",
"workspace_member_access"
]
}
},
"required": [
"PCID",
"data"
]
}
attio_create_lists_list_entries
Create an entry (add record to list) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | The UUID or slug identifying the list that the created list entry should belong to. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "The UUID or slug identifying the list that the created list entry should belong to."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"parent_record_id": {
"type": "string",
"description": "A UUID identifying the record you want to add to the list. The record will become the 'parent' of the created list entry."
},
"parent_object": {
"type": "string",
"description": "A UUID or slug identifying the object that the added parent record belongs to."
},
"entry_values": {
"type": "object",
"description": "An object with an attribute `api_slug` or `attribute_id` as the key, and a single value (for single-select attributes), or an array of values (for single or multi-select attributes) as the values. For complete documentation on values for all attribute types, please see our [attribute type docs](/docs/attribute-types)."
}
},
"required": [
"parent_record_id",
"parent_object",
"entry_values"
]
}
},
"required": [
"PCID",
"list",
"data"
]
}
attio_create_meetings
Find or create a meeting Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"title": {
"type": "string",
"description": "The title of the meeting."
},
"description": {
"type": "string",
"description": "The description of the meeting."
},
"start": {
"description": "When the meeting starts. Use a datetime and optional timezone for non-all day meetings, or a date for all day meetings."
},
"end": {
"description": "When the meeting ends. Use a datetime and optional timezone for non-all day meetings, or a date for all day meetings."
},
"is_all_day": {
"type": "boolean",
"description": "Whether or not the meeting is an all day event. All day events may span multiple days. When true, start and end must use date format. When false, start and end must use datetime with timezone format."
},
"participants": {
"type": "array",
"items": {
"type": "object"
},
"description": "The participants value"
},
"linked_records": {
"type": "array",
"items": {
"type": "object"
},
"description": "A list of records to link to the meeting. Each record is specified by its object (slug or UUID) and record ID (UUID). Attio will automatically link the meeting participants' companies to the meeting; this behavior is asynchronous."
},
"external_ref": {
"description": "A consistent external reference used to match and de-duplicate meetings. Can be either a plain string (for external system IDs) or an object with `ical_uid` and `provider`. If you are writing data into Attio which is based upon calendar events that you have synced from a Google or Microsoft calendar, you must use the iCal format to avoid creating duplicate meetings inside Attio."
}
},
"required": [
"title",
"description",
"start",
"end",
"is_all_day",
"participants",
"external_ref"
]
}
},
"required": [
"PCID",
"data"
]
}
attio_create_meetings_meeting_id_call_recordings
Create call recording Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
meeting_id | string | Yes | — | The ID of the meeting this recording belongs to. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"meeting_id": {
"type": "string",
"description": "The ID of the meeting this recording belongs to."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"video_url": {
"type": "string",
"description": "A publicly accessible URL to a video file of the call recording. Attio will download the video from this URL asynchronously. **Requirements:** - **Protocol:** The URL must use the `https` protocol. - **File type:** The file must be a `.mp4` file. - **File size:** The file must not exceed 500MB in size. - **Accessibility:** For the request to be accepted, the URL must be publicly accessible. Attio will make a `HEAD` request to the URL to verify its accessibility and retrieve file metadata. The response to this request must include a `Content-Length` header."
}
},
"required": [
"video_url"
]
}
},
"required": [
"PCID",
"meeting_id",
"data"
]
}
attio_create_notes
Create a note Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"parent_object": {
"type": "string",
"description": "The ID or slug of the parent object the note belongs to."
},
"parent_record_id": {
"type": "string",
"description": "The ID of the parent record the note belongs to."
},
"title": {
"type": "string",
"description": "The note title. The title is plaintext only and has no formatting."
},
"format": {
"type": "string",
"description": "Specify the format for the note's content. Choose from: - `plaintext`: Standard text format where `\\n` signifies a new line. - `markdown`: Enables rich text formatting using a subset of Markdown syntax: - **Headings**: Levels 1-3 (`#`, `##`, `###`). - **Lists**: Unordered (`-`, `*`, `+`) and ordered (`1.`, `2.`). - **Text styles**: Bold (`**bold**` or `__bold__`), italic (`*italic*` or `_italic_`), strikethrough (`~~strikethrough~~`), and highlight (`==highlighted==`). - **Links**: Standard Markdown links (`[link text](https://example.com)`). *Note: While the Attio interface supports image embeds, they cannot currently be added or retrieved via the API's markdown format.*",
"enum": [
"plaintext",
"markdown"
]
},
"content": {
"type": "string",
"description": "The main content of the note, formatted according to the value provided in the `format` field. Use `\\n` for line breaks in `plaintext`. For `markdown`, utilize the supported syntax elements to structure and style your note."
},
"created_at": {
"type": "string",
"description": "`created_at` will default to the current time. However, if you wish to backdate a note for migration or other purposes, you can override with a custom `created_at` value. Note that dates before 1970 or in the future are not allowed."
},
"meeting_id": {
"type": "string",
"description": "An optional ID to associate this note with a meeting. If provided, the meeting must exist. Use `null` to explicitly set no meeting association."
}
},
"required": [
"parent_object",
"parent_record_id",
"title",
"format",
"content"
]
}
},
"required": [
"PCID",
"data"
]
}
attio_create_objects
Create an object Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"api_slug": {
"type": "string",
"description": "A unique, human-readable slug to access the object through URLs and API calls. Should be formatted in snake case."
},
"singular_noun": {
"type": "string",
"description": "The singular form of the object's name."
},
"plural_noun": {
"type": "string",
"description": "The plural form of the object's name."
}
},
"required": [
"api_slug",
"singular_noun",
"plural_noun"
]
}
},
"required": [
"PCID",
"data"
]
}
attio_create_objects_object_records
Create a record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | The UUID or slug identifying the object the created record should belong to. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "The UUID or slug identifying the object the created record should belong to."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"values": {
"type": "object",
"description": "An object with an attribute `api_slug` or `attribute_id` as the key, and a single value (for single-select attributes), or an array of values (for single or multi-select attributes) as the values. For complete documentation on values for all attribute types, please see our [attribute type docs](/docs/attribute-types)."
}
},
"required": [
"values"
]
}
},
"required": [
"PCID",
"object",
"data"
]
}
attio_create_target_identifier_attributes
Create an attribute Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Whether the attribute is to be created on an object or a list. |
identifier | string | Yes | — | A UUID or slug to identify the object or list the attribute belongs to. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Whether the attribute is to be created on an object or a list.",
"enum": [
"objects",
"lists"
]
},
"identifier": {
"type": "string",
"description": "A UUID or slug to identify the object or list the attribute belongs to."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"title": {
"type": "string",
"description": "The name of the attribute. The title will be visible across Attio's UI."
},
"description": {
"type": "string",
"description": "A text description for the attribute."
},
"api_slug": {
"type": "string",
"description": "A unique, human-readable slug to access the attribute through URLs and API calls. Formatted in snake case."
},
"type": {
"type": "string",
"description": "The type of the attribute. This value affects the possible `config` values.",
"enum": [
"text",
"number",
"checkbox",
"currency",
"date",
"timestamp",
"rating",
"status",
"select",
"record-reference",
"actor-reference",
"location",
"domain",
"email-address",
"phone-number"
]
},
"is_required": {
"type": "boolean",
"description": "When `is_required` is `true`, new records/entries must have a value for this attribute. If `false`, values may be `null`. This value does not affect existing data and you do not need to backfill `null` values if changing `is_required` from `false` to `true`."
},
"is_unique": {
"type": "boolean",
"description": "Whether or not new values for this attribute must be unique. Uniqueness restrictions are only applied to new data and do not apply retroactively to previously created data."
},
"is_multiselect": {
"type": "boolean",
"description": "Whether or not this attribute can have multiple values. Multiselect is only available on some value types."
},
"default_value": {
"description": "The default value for this attribute. Static values are used to directly populate values using their contents. Dynamic values are used to lookup data at the point of creation. For example, you could use a dynamic value to insert a value for the currently logged in user. Which default values are available is dependent on the type of the attribute. Default values are not currently supported on people or company objects."
},
"relationship": {
"type": "object",
"description": "Optional relationship configuration. When provided, creates a bidirectional relationship between two objects. Can only be used with attributes of type \"record-reference\". If `config.record_reference.allowed_objects` is also provided, it must contain only the relationship object."
},
"config": {
"type": "object",
"description": "The config value"
}
},
"required": [
"title",
"description",
"api_slug",
"type",
"is_required",
"is_unique",
"is_multiselect",
"config"
]
}
},
"required": [
"PCID",
"target",
"identifier",
"data"
]
}
attio_create_target_identifier_attributes_attribute_options
Create a select option Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Whether the attribute is on an object or a list. |
identifier | string | Yes | — | A UUID or slug to identify the object or list the select attribute belongs to. |
attribute | string | Yes | — | A UUID or slug to identify the attribute to create a select option on. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Whether the attribute is on an object or a list.",
"enum": [
"objects",
"lists"
]
},
"identifier": {
"type": "string",
"description": "A UUID or slug to identify the object or list the select attribute belongs to."
},
"attribute": {
"type": "string",
"description": "A UUID or slug to identify the attribute to create a select option on."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"title": {
"type": "string",
"description": "The Title of the select option"
}
},
"required": [
"title"
]
}
},
"required": [
"PCID",
"target",
"identifier",
"attribute",
"data"
]
}
attio_create_target_identifier_attributes_attribute_statuses
Create a status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Whether the attribute is on an object or a list. |
identifier | string | Yes | — | A UUID or slug to identify the object or list the status attribute belongs to. |
attribute | string | Yes | — | A UUID or slug to identify the attribute the status will belong to. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Whether the attribute is on an object or a list.",
"enum": [
"lists",
"objects"
]
},
"identifier": {
"type": "string",
"description": "A UUID or slug to identify the object or list the status attribute belongs to."
},
"attribute": {
"type": "string",
"description": "A UUID or slug to identify the attribute the status will belong to."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"title": {
"type": "string",
"description": "The Title of the status"
},
"celebration_enabled": {
"type": "boolean",
"description": "Whether arriving at this status triggers a celebration effect"
},
"target_time_in_status": {
"type": "string",
"description": "Target time for a record to spend in given status expressed as a ISO-8601 duration string"
}
},
"required": [
"title"
]
}
},
"required": [
"PCID",
"target",
"identifier",
"attribute",
"data"
]
}
attio_create_tasks
Create a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"content": {
"type": "string",
"description": "The text content of the task, in the format specified by the `format` property. A max length of 2000 characters is enforced."
},
"format": {
"type": "string",
"description": "The format of the task content to be created. Rich text formatting, links and @references are not supported.",
"enum": [
"plaintext"
]
},
"deadline_at": {
"type": "string",
"description": "The deadline of the task, in ISO 8601 format."
},
"is_completed": {
"type": "boolean",
"description": "Whether the task has been completed."
},
"linked_records": {
"type": "array",
"description": "Records linked to the task. Records can be linked by domain (for companies), email address (for people), record ID (for all objects) or by a unique matching attribute (for all objects). Creating record links within task content text is not possible via the API at present."
},
"assignees": {
"type": "array",
"description": "Workspace members assigned to this task."
}
},
"required": [
"content",
"format",
"deadline_at",
"is_completed",
"linked_records",
"assignees"
]
}
},
"required": [
"PCID",
"data"
]
}
attio_create_webhooks
Create a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"target_url": {
"type": "string",
"description": "URL where the webhook events will be delivered to."
},
"subscriptions": {
"type": "array",
"items": {
"type": "object"
},
"description": "One or more events the webhook is subscribed to."
}
},
"required": [
"target_url",
"subscriptions"
]
}
},
"required": [
"PCID",
"data"
]
}
attio_delete_comments_comment_id
Delete a comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
comment_id | string | Yes | — | The ID of the comment to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"comment_id": {
"type": "string",
"description": "The ID of the comment to delete."
}
},
"required": [
"PCID",
"comment_id"
]
}
attio_delete_files_file_id
Delete a file Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_id | string | Yes | — | A UUID which identifies the file to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_id": {
"type": "string",
"description": "A UUID which identifies the file to delete."
}
},
"required": [
"PCID",
"file_id"
]
}
attio_delete_lists_list_entries_entry_id
Delete a list entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | A UUID or slug identifying the list the entry is in. |
entry_id | string | Yes | — | A UUID identifying the entry to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "A UUID or slug identifying the list the entry is in."
},
"entry_id": {
"type": "string",
"description": "A UUID identifying the entry to delete."
}
},
"required": [
"PCID",
"list",
"entry_id"
]
}
attio_delete_meetings_meeting_id_call_recordings_call_recording_id
Delete call recording Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
meeting_id | string | Yes | — | The ID of the meeting this call recording belongs to. |
call_recording_id | string | Yes | — | The ID of the call recording to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"meeting_id": {
"type": "string",
"description": "The ID of the meeting this call recording belongs to."
},
"call_recording_id": {
"type": "string",
"description": "The ID of the call recording to delete."
}
},
"required": [
"PCID",
"meeting_id",
"call_recording_id"
]
}
attio_delete_notes_note_id
Delete a note Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
note_id | string | Yes | — | A UUID which identifies the note to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"note_id": {
"type": "string",
"description": "A UUID which identifies the note to delete."
}
},
"required": [
"PCID",
"note_id"
]
}
attio_delete_objects_object_records_record_id
Delete a record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | The UUID or slug of the object the record belongs to. |
record_id | string | Yes | — | The UUID of the record to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "The UUID or slug of the object the record belongs to."
},
"record_id": {
"type": "string",
"description": "The UUID of the record to delete."
}
},
"required": [
"PCID",
"object",
"record_id"
]
}
attio_delete_tasks_task_id
Delete a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | The ID of the task to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "The ID of the task to delete."
}
},
"required": [
"PCID",
"task_id"
]
}
attio_delete_webhooks_webhook_id
Delete a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | A UUID identifying the webhook to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "A UUID identifying the webhook to delete."
}
},
"required": [
"PCID",
"webhook_id"
]
}
attio_get_comments_comment_id
Get a comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
comment_id | string | Yes | — | A UUID which identifies the comment. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"comment_id": {
"type": "string",
"description": "A UUID which identifies the comment."
}
},
"required": [
"PCID",
"comment_id"
]
}
attio_get_files_file_id
Get a file Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_id | string | Yes | — | A UUID which identifies the file entry. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_id": {
"type": "string",
"description": "A UUID which identifies the file entry."
}
},
"required": [
"PCID",
"file_id"
]
}
attio_get_files_file_id_download
Download a file Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_id | string | Yes | — | File Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_id": {
"type": "string",
"description": "File Id"
}
},
"required": [
"PCID",
"file_id"
]
}
attio_get_lists_list
Get a list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | A UUID or slug to identify the list. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "A UUID or slug to identify the list."
}
},
"required": [
"PCID",
"list"
]
}
attio_get_lists_list_entries_entry_id
Get a list entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | A UUID or slug identifying the list the entry is in. |
entry_id | string | Yes | — | A UUID identifying the entry. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "A UUID or slug identifying the list the entry is in."
},
"entry_id": {
"type": "string",
"description": "A UUID identifying the entry."
}
},
"required": [
"PCID",
"list",
"entry_id"
]
}
attio_get_meetings_meeting_id
Get a meeting Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
meeting_id | string | Yes | — | A UUID which identifies the meeting. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"meeting_id": {
"type": "string",
"description": "A UUID which identifies the meeting."
}
},
"required": [
"PCID",
"meeting_id"
]
}
attio_get_meetings_meeting_id_call_recordings_call_recording_id
Get call recording Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
meeting_id | string | Yes | — | The ID of the meeting this recording belongs to. |
call_recording_id | string | Yes | — | The ID of the call recording to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"meeting_id": {
"type": "string",
"description": "The ID of the meeting this recording belongs to."
},
"call_recording_id": {
"type": "string",
"description": "The ID of the call recording to retrieve."
}
},
"required": [
"PCID",
"meeting_id",
"call_recording_id"
]
}
attio_get_meetings_meeting_id_call_recordings_call_recording_id_transcript
Get call transcript Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
meeting_id | string | Yes | — | The ID of the meeting. |
call_recording_id | string | Yes | — | The ID of the call recording to get the transcript for. |
cursor | string | No | — | A cursor for pagination through transcript segments. Use the next_cursor from the previous response to get the next page of speech segments within this transcript. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"meeting_id": {
"type": "string",
"description": "The ID of the meeting."
},
"call_recording_id": {
"type": "string",
"description": "The ID of the call recording to get the transcript for."
},
"cursor": {
"type": "string",
"description": "A cursor for pagination through transcript segments. Use the `next_cursor` from the previous response to get the next page of speech segments within this transcript."
}
},
"required": [
"PCID",
"meeting_id",
"call_recording_id"
]
}
attio_get_notes_note_id
Get a note Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
note_id | string | Yes | — | A UUID which identifies the note. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"note_id": {
"type": "string",
"description": "A UUID which identifies the note."
}
},
"required": [
"PCID",
"note_id"
]
}
attio_get_objects_object
Get an object Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | A UUID or slug to identify the object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "A UUID or slug to identify the object."
}
},
"required": [
"PCID",
"object"
]
}
attio_get_objects_object_records_record_id
Get a record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | A UUID or slug identifying the object that the record belongs to. |
record_id | string | Yes | — | A UUID identifying the record. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "A UUID or slug identifying the object that the record belongs to."
},
"record_id": {
"type": "string",
"description": "A UUID identifying the record."
}
},
"required": [
"PCID",
"object",
"record_id"
]
}
attio_get_self
IdentifyShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
attio_get_target_identifier_attributes_attribute
Get an attribute Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Whether the attribute is on an object or a list. |
identifier | string | Yes | — | A UUID or slug to identify the object or list the attribute belongs to. |
attribute | string | Yes | — | A UUID or slug to identify the attribute. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Whether the attribute is on an object or a list.",
"enum": [
"objects",
"lists"
]
},
"identifier": {
"type": "string",
"description": "A UUID or slug to identify the object or list the attribute belongs to."
},
"attribute": {
"type": "string",
"description": "A UUID or slug to identify the attribute."
}
},
"required": [
"PCID",
"target",
"identifier",
"attribute"
]
}
attio_get_tasks_task_id
Get a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | The ID of the task. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "The ID of the task."
}
},
"required": [
"PCID",
"task_id"
]
}
attio_get_threads_thread_id
Get a thread Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
thread_id | string | Yes | — | A UUID which identifies the thread. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"thread_id": {
"type": "string",
"description": "A UUID which identifies the thread."
}
},
"required": [
"PCID",
"thread_id"
]
}
attio_get_webhooks_webhook_id
Get a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | A UUID which identifies the webhook. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "A UUID which identifies the webhook."
}
},
"required": [
"PCID",
"webhook_id"
]
}
attio_get_workspace_members_workspace_member_id
Get a workspace member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_member_id | string | Yes | — | A UUID to identify the workspace member. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_member_id": {
"type": "string",
"description": "A UUID to identify the workspace member."
}
},
"required": [
"PCID",
"workspace_member_id"
]
}
attio_list_files
List files Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | The object slug or ID. |
record_id | string | Yes | — | Used to filter files to only those on a specific record. |
storage_provider | string | No | — | Filter results by storage provider. |
parent_folder_id | string | No | — | Filter by parent folder ID. Each file entry has provided optioanl parent_folder_id that can be used to filter results by folder. When omitted, entries at all nesting levels are returned. |
limit | integer | No | — | The maximum number of files to return. Must be between 1 and 200. Defaults to 50. |
cursor | string | No | — | A pagination cursor used to fetch the next page of files. Responses with more files will include a cursor for you to use here. If not provided, the first page will be returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "The object slug or ID."
},
"record_id": {
"type": "string",
"description": "Used to filter files to only those on a specific record."
},
"storage_provider": {
"type": "string",
"description": "Filter results by storage provider.",
"enum": [
"attio",
"dropbox",
"box",
"google-drive",
"microsoft-onedrive"
]
},
"parent_folder_id": {
"type": "string",
"description": "Filter by parent folder ID. Each file entry has provided optioanl parent_folder_id that can be used to filter results by folder. When omitted, entries at all nesting levels are returned."
},
"limit": {
"type": "integer",
"description": "The maximum number of files to return. Must be between 1 and 200. Defaults to 50."
},
"cursor": {
"type": "string",
"description": "A pagination cursor used to fetch the next page of files. Responses with more files will include a cursor for you to use here. If not provided, the first page will be returned."
}
},
"required": [
"PCID",
"object",
"record_id"
]
}
attio_list_lists
List all listsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
attio_list_lists_list_entries_entry_id_attributes_attribute_values
List attribute values for a list entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | A UUID or slug identifying the list the entry is in. |
entry_id | string | Yes | — | A UUID identifying the entry. |
attribute | string | Yes | — | A UUID or slug to identify the attribute you want to query values on. |
show_historic | boolean | No | — | If true, the endpoint will return all historic values for the attribute. If false, the endpoint will only return the currently active value(s). Defaults to false. Can only be set to true for attributes which support historic data; the endpoint will throw if set to true for non-historic attributes. |
limit | integer | No | — | The maximum number of results to return. See the full guide to pagination here. |
offset | integer | No | — | The number of results to skip over before returning. See the full guide to pagination here. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "A UUID or slug identifying the list the entry is in."
},
"entry_id": {
"type": "string",
"description": "A UUID identifying the entry."
},
"attribute": {
"type": "string",
"description": "A UUID or slug to identify the attribute you want to query values on."
},
"show_historic": {
"type": "boolean",
"description": "If `true`, the endpoint will return all historic values for the attribute. If `false`, the endpoint will only return the currently active value(s). Defaults to `false`. Can only be set to `true` for attributes which support historic data; the endpoint will throw if set to `true` for non-historic attributes."
},
"limit": {
"type": "integer",
"description": "The maximum number of results to return. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"offset": {
"type": "integer",
"description": "The number of results to skip over before returning. See the [full guide to pagination here](/rest-api/guides/pagination)."
}
},
"required": [
"PCID",
"list",
"entry_id",
"attribute"
]
}
attio_list_lists_list_views
List views for list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | A UUID or slug to identify the list. |
show_archived | boolean | No | — | true to include archived views. See our archiving guide for more information on archiving. |
limit | integer | No | — | The maximum number of views to return. Must be between 1 and 1000. Defaults to 500. |
cursor | string | No | — | A pagination cursor from a previous response’s pagination.next_cursor. Omit for the first page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "A UUID or slug to identify the list."
},
"show_archived": {
"type": "boolean",
"description": "`true` to include archived views. See our [archiving guide](/docs/archiving-vs-deleting) for more information on archiving."
},
"limit": {
"type": "integer",
"description": "The maximum number of views to return. Must be between 1 and 1000. Defaults to 500."
},
"cursor": {
"type": "string",
"description": "A pagination cursor from a previous response's `pagination.next_cursor`. Omit for the first page."
}
},
"required": [
"PCID",
"list"
]
}
attio_list_meetings
List meetings Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The maximum number of meetings to return. Must be between 1 and 200. Defaults to 50. |
cursor | string | No | — | A pagination cursor used to fetch the next page of meetings. Responses with more meetings will include a cursor for you to use here. If not provided, the first page will be returned. |
linked_object | string | No | — | The object to filter meetings by. Must be a valid object slug or ID. If provided, linked_record_id must also be provided. |
linked_record_id | string | No | — | Used to filter meetings to only those values that include a specific linked record. Must be a valid record ID. If provided, linked_object must also be provided. |
participants | string | No | — | A comma-separated list of emails to filter meetings by. If provided, meetings will be filtered to only include meetings that include at least one of the provided emails as participants. |
sort | string | No | — | The order in which to sort the meetings. Defaults to start_asc. |
ends_from | string | No | — | Use ends_from to filter meetings to only those that end after the specified timestamp. ends_from is inclusive, meaning that meetings that end at the exact timestamp will be included in results. When evaluating all-day meetings, we filter results from the perspective of a specific timezone (see timezone for more information). |
starts_before | string | No | — | Use starts_before to filter meetings to only those that start before the specified timestamp. starts_before is exclusive, meaning that meetings that start at the exact timestamp will not be included in results. When evaluating all-day meetings, we filter results from the perspective of a specific timezone (see timezone for more information). |
timezone | string | No | — | The timezone to use when filtering meetings using ends_from and starts_before. Defaults to UTC. This property has no effect for non-all-day meetings. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "The maximum number of meetings to return. Must be between 1 and 200. Defaults to 50."
},
"cursor": {
"type": "string",
"description": "A pagination cursor used to fetch the next page of meetings. Responses with more meetings will include a cursor for you to use here. If not provided, the first page will be returned."
},
"linked_object": {
"type": "string",
"description": "The object to filter meetings by. Must be a valid object slug or ID. If provided, linked_record_id must also be provided."
},
"linked_record_id": {
"type": "string",
"description": "Used to filter meetings to only those values that include a specific linked record. Must be a valid record ID. If provided, linked_object must also be provided."
},
"participants": {
"type": "string",
"description": "A comma-separated list of emails to filter meetings by. If provided, meetings will be filtered to only include meetings that include at least one of the provided emails as participants."
},
"sort": {
"type": "string",
"description": "The order in which to sort the meetings. Defaults to start_asc.",
"enum": [
"start_asc",
"start_desc"
]
},
"ends_from": {
"type": "string",
"description": "Use `ends_from` to filter meetings to only those that end after the specified timestamp. `ends_from` is inclusive, meaning that meetings that end at the exact timestamp will be included in results. When evaluating all-day meetings, we filter results from the perspective of a specific timezone (see `timezone` for more information)."
},
"starts_before": {
"type": "string",
"description": "Use `starts_before` to filter meetings to only those that start before the specified timestamp. `starts_before` is exclusive, meaning that meetings that start at the exact timestamp will not be included in results. When evaluating all-day meetings, we filter results from the perspective of a specific timezone (see `timezone` for more information)."
},
"timezone": {
"type": "string",
"description": "The timezone to use when filtering meetings using `ends_from` and `starts_before`. Defaults to UTC. This property has no effect for non-all-day meetings."
}
},
"required": [
"PCID"
]
}
attio_list_meetings_meeting_id_call_recordings
List call recordings Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
meeting_id | string | Yes | — | The ID of the meeting to list call recordings for. |
limit | integer | No | — | The maximum number of results to return. Defaults to 50 with a maximum of 200. |
cursor | string | No | — | A cursor for pagination. Use the next_cursor from the previous response to get the next page of results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"meeting_id": {
"type": "string",
"description": "The ID of the meeting to list call recordings for."
},
"limit": {
"type": "integer",
"description": "The maximum number of results to return. Defaults to 50 with a maximum of 200."
},
"cursor": {
"type": "string",
"description": "A cursor for pagination. Use the `next_cursor` from the previous response to get the next page of results."
}
},
"required": [
"PCID",
"meeting_id"
]
}
attio_list_notes
List notes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The maximum number of results to return. The default is 10 and the maximum is 50. See the full guide to pagination here. |
offset | integer | No | — | The number of results to skip over before returning. The default is 0. See the full guide to pagination here. |
parent_object | string | No | — | The slug or ID of the parent object the notes belong to. |
parent_record_id | string | No | — | The ID of the parent record the notes belong to. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "The maximum number of results to return. The default is `10` and the maximum is `50`. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"offset": {
"type": "integer",
"description": "The number of results to skip over before returning. The default is `0`. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"parent_object": {
"type": "string",
"description": "The slug or ID of the parent object the notes belong to."
},
"parent_record_id": {
"type": "string",
"description": "The ID of the parent record the notes belong to."
}
},
"required": [
"PCID"
]
}
attio_list_objects
List objectsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
attio_list_objects_object_records_record_id_attributes_attribute_values
List record attribute values Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | A UUID or slug to identify the object the record belongs to. |
record_id | string | Yes | — | A UUID to identify the record you want to query values on. |
attribute | string | Yes | — | A UUID or slug to identify the attribute you want to query values on. |
show_historic | boolean | No | — | If true, the endpoint will return all historic values for the attribute. If false, the endpoint will only return the currently active value(s). Defaults to false. Cannot be set to true for COMINT attributes or enriched attributes on people/company objects. |
limit | integer | No | — | The maximum number of results to return. See the full guide to pagination here. |
offset | integer | No | — | The number of results to skip over before returning. See the full guide to pagination here. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "A UUID or slug to identify the object the record belongs to."
},
"record_id": {
"type": "string",
"description": "A UUID to identify the record you want to query values on."
},
"attribute": {
"type": "string",
"description": "A UUID or slug to identify the attribute you want to query values on."
},
"show_historic": {
"type": "boolean",
"description": "If `true`, the endpoint will return all historic values for the attribute. If `false`, the endpoint will only return the currently active value(s). Defaults to `false`. Cannot be set to `true` for COMINT attributes or enriched attributes on people/company objects."
},
"limit": {
"type": "integer",
"description": "The maximum number of results to return. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"offset": {
"type": "integer",
"description": "The number of results to skip over before returning. See the [full guide to pagination here](/rest-api/guides/pagination)."
}
},
"required": [
"PCID",
"object",
"record_id",
"attribute"
]
}
attio_list_objects_object_records_record_id_entries
List record entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | A UUID or slug identifying the object that the record belongs to. |
record_id | string | Yes | — | A UUID identifying the record. |
limit | integer | No | — | The maximum number of results to return. The default is 100 and the maximum is 1000. See the full guide to pagination here. |
offset | integer | No | — | The number of results to skip over before returning. The default is 0. See the full guide to pagination here. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "A UUID or slug identifying the object that the record belongs to."
},
"record_id": {
"type": "string",
"description": "A UUID identifying the record."
},
"limit": {
"type": "integer",
"description": "The maximum number of results to return. The default is `100` and the maximum is `1000`. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"offset": {
"type": "integer",
"description": "The number of results to skip over before returning. The default is `0`. See the [full guide to pagination here](/rest-api/guides/pagination)."
}
},
"required": [
"PCID",
"object",
"record_id"
]
}
attio_list_objects_object_views
List views for object Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | A UUID or slug to identify the object. |
show_archived | boolean | No | — | true to include archived views. See our archiving guide for more information on archiving. |
limit | integer | No | — | The maximum number of views to return. Must be between 1 and 1000. Defaults to 500. |
cursor | string | No | — | A pagination cursor from a previous response’s pagination.next_cursor. Omit for the first page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "A UUID or slug to identify the object."
},
"show_archived": {
"type": "boolean",
"description": "`true` to include archived views. See our [archiving guide](/docs/archiving-vs-deleting) for more information on archiving."
},
"limit": {
"type": "integer",
"description": "The maximum number of views to return. Must be between 1 and 1000. Defaults to 500."
},
"cursor": {
"type": "string",
"description": "A pagination cursor from a previous response's `pagination.next_cursor`. Omit for the first page."
}
},
"required": [
"PCID",
"object"
]
}
attio_list_target_identifier_attributes
List attributes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Whether the attributes are on an object or a list. |
identifier | string | Yes | — | A UUID or slug to identify the object or list the attributes belong to. |
limit | integer | No | — | The maximum number of results to return. See the full guide to pagination here. |
offset | integer | No | — | The number of results to skip over before returning. See the full guide to pagination here. |
show_archived | boolean | No | — | Whether archived attributes should be included in the results. See the full guide to archiving here. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Whether the attributes are on an object or a list.",
"enum": [
"objects",
"lists"
]
},
"identifier": {
"type": "string",
"description": "A UUID or slug to identify the object or list the attributes belong to."
},
"limit": {
"type": "integer",
"description": "The maximum number of results to return. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"offset": {
"type": "integer",
"description": "The number of results to skip over before returning. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"show_archived": {
"type": "boolean",
"description": "Whether archived attributes should be included in the results. See the [full guide to archiving here](/docs/archiving-vs-deleting)."
}
},
"required": [
"PCID",
"target",
"identifier"
]
}
attio_list_target_identifier_attributes_attribute_options
List select options Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Whether the attribute is on an object or a list. |
identifier | string | Yes | — | A UUID or slug to identify the object or list the select attribute belongs to. |
attribute | string | Yes | — | A UUID or slug to identify the attribute you want to list select options on. |
show_archived | boolean | No | — | true if you want the results to include archived select options. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Whether the attribute is on an object or a list.",
"enum": [
"objects",
"lists"
]
},
"identifier": {
"type": "string",
"description": "A UUID or slug to identify the object or list the select attribute belongs to."
},
"attribute": {
"type": "string",
"description": "A UUID or slug to identify the attribute you want to list select options on."
},
"show_archived": {
"type": "boolean",
"description": "`true` if you want the results to include archived select options."
}
},
"required": [
"PCID",
"target",
"identifier",
"attribute"
]
}
attio_list_target_identifier_attributes_attribute_statuses
List statuses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Whether the attribute is on an object or a list. |
identifier | string | Yes | — | A UUID or slug to identify the object or list the status attribute belongs to. |
attribute | string | Yes | — | A UUID or slug to identify the attribute you want to list statuses on. |
show_archived | boolean | No | — | true if you want the results to include archived statuses. See our archiving guide for more information on archiving. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Whether the attribute is on an object or a list.",
"enum": [
"lists",
"objects"
]
},
"identifier": {
"type": "string",
"description": "A UUID or slug to identify the object or list the status attribute belongs to."
},
"attribute": {
"type": "string",
"description": "A UUID or slug to identify the attribute you want to list statuses on."
},
"show_archived": {
"type": "boolean",
"description": "`true` if you want the results to include archived statuses. See our [archiving guide](/docs/archiving-vs-deleting) for more information on archiving."
}
},
"required": [
"PCID",
"target",
"identifier",
"attribute"
]
}
attio_list_tasks
List tasks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The maximum number of results to return. Defaults to 500. See the full guide to pagination here. |
offset | integer | No | — | The number of results to skip over before returning. Defaults to 0. See the full guide to pagination here. |
sort | string | No | — | Optionally sort the results. “created_at:asc” returns oldest results first, “created_at:desc” returns the newest results first. “completed_at:asc” and “completed_at:desc” sort by completion time. With “completed_at:asc”, incomplete tasks (no completion date) appear first, followed by completed tasks oldest-first. With “completed_at:desc”, completed tasks appear first (newest-first), followed by incomplete tasks. To exclude incomplete tasks, filter by is_completed. If unspecified, defaults to “created_at:asc” (oldest results first). |
linked_object | string | No | — | Pass a value to this parameter to filter results to only those tasks that contain the specified record in the linked_records property of the task. This parameter should identify the object that the linked record belongs to. For example, if filtering to tasks that link to a specific person record, this parameter should be people. If provided, linked_record_id must also be provided. |
linked_record_id | string | No | — | Pass a value to this parameter to filter results to only those tasks that contain the specified record in the linked_records property of the task. This parameter should contain the record ID of the linked record. If provided, linked_object must also be provided. |
assignee | string | No | — | Filter tasks by workspace member assignees. Workspace members can be referenced by either their email address or ID. Pass an empty value or the string null to find tasks with no assignee. |
is_completed | boolean | No | — | Filter tasks by whether they have been completed. By default, both completed and non-completed tasks are returned. Specify true to only return completed tasks, or false to only return non-completed tasks. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "The maximum number of results to return. Defaults to 500. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"offset": {
"type": "integer",
"description": "The number of results to skip over before returning. Defaults to 0. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"sort": {
"type": "string",
"description": "Optionally sort the results. \"created_at:asc\" returns oldest results first, \"created_at:desc\" returns the newest results first. \"completed_at:asc\" and \"completed_at:desc\" sort by completion time. With \"completed_at:asc\", incomplete tasks (no completion date) appear first, followed by completed tasks oldest-first. With \"completed_at:desc\", completed tasks appear first (newest-first), followed by incomplete tasks. To exclude incomplete tasks, filter by is_completed. If unspecified, defaults to \"created_at:asc\" (oldest results first).",
"enum": [
"created_at:asc",
"created_at:desc",
"completed_at:asc",
"completed_at:desc"
]
},
"linked_object": {
"type": "string",
"description": "Pass a value to this parameter to filter results to only those tasks that contain the specified record in the `linked_records` property of the task. This parameter should identify the object that the linked record belongs to. For example, if filtering to tasks that link to a specific person record, this parameter should be `people`. If provided, `linked_record_id` must also be provided."
},
"linked_record_id": {
"type": "string",
"description": "Pass a value to this parameter to filter results to only those tasks that contain the specified record in the `linked_records` property of the task. This parameter should contain the record ID of the linked record. If provided, `linked_object` must also be provided."
},
"assignee": {
"type": "string",
"description": "Filter tasks by workspace member assignees. Workspace members can be referenced by either their email address or ID. Pass an empty value or the string `null` to find tasks with no assignee."
},
"is_completed": {
"type": "boolean",
"description": "Filter tasks by whether they have been completed. By default, both completed and non-completed tasks are returned. Specify `true` to only return completed tasks, or `false` to only return non-completed tasks."
}
},
"required": [
"PCID"
]
}
attio_list_threads
List threads Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
record_id | string | No | — | Use this parameter to filter to threads on a specific record. Must be passed with object. |
object | string | No | — | Use this parameter to filter to threads on a specific record. Must be passed with record_id. Accepts either a slug or an ID. |
entry_id | string | No | — | Use this parameter to filter to threads on a specific entry. Must be passed with list. |
list | string | No | — | Use this parameter to filter to threads on a specific entry. Must be passed with entry_id. Accepts either a slug or an ID. |
limit | integer | No | — | The maximum number of results to return. The default is 10 and the maximum is 50. See the full guide to pagination here. |
offset | integer | No | — | The number of results to skip over before returning. The default is 0. See the full guide to pagination here. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"record_id": {
"type": "string",
"description": "Use this parameter to filter to threads on a specific record. Must be passed with `object`."
},
"object": {
"type": "string",
"description": "Use this parameter to filter to threads on a specific record. Must be passed with `record_id`. Accepts either a slug or an ID."
},
"entry_id": {
"type": "string",
"description": "Use this parameter to filter to threads on a specific entry. Must be passed with `list`."
},
"list": {
"type": "string",
"description": "Use this parameter to filter to threads on a specific entry. Must be passed with `entry_id`. Accepts either a slug or an ID."
},
"limit": {
"type": "integer",
"description": "The maximum number of results to return. The default is `10` and the maximum is `50`. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"offset": {
"type": "integer",
"description": "The number of results to skip over before returning. The default is `0`. See the [full guide to pagination here](/rest-api/guides/pagination)."
}
},
"required": [
"PCID"
]
}
attio_list_webhooks
List webhooks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The maximum number of results to return, between 10 and 100, defaults to 10. See the full guide to pagination here. |
offset | integer | No | — | The number of results to skip over before returning, defaults to 0. See the full guide to pagination here. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "The maximum number of results to return, between 10 and 100, defaults to 10. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"offset": {
"type": "integer",
"description": "The number of results to skip over before returning, defaults to 0. See the [full guide to pagination here](/rest-api/guides/pagination)."
}
},
"required": [
"PCID"
]
}
attio_list_workspace_members
List workspace membersShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
attio_query_lists_list_entries_query
List entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | A UUID or slug to identify the list to retrieve entries from. |
filter | object | No | — | An object used to filter results to a subset of results. Cannot be used together with filter_view_id. See the full guide to filtering and sorting here. |
filter_view_id | string | No | — | UUID of a saved view on this object or list. When set, results are filtered using that view’s filter configuration. Cannot be used together with filter. Note: sorts, limits, and offsets are applied independently and are not taken from the view. All attributes are returned regardless of which attributes are visible in the view. |
limit | number | No | — | The maximum number of results to return. Defaults to 500. See the full guide to pagination here. |
offset | number | No | — | The number of results to skip over before returning. Defaults to 0. See the full guide to pagination here. |
sorts | any[] | No | — | An object used to sort results. See the full guide to filtering and sorting here. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "A UUID or slug to identify the list to retrieve entries from."
},
"filter": {
"type": "object",
"description": "An object used to filter results to a subset of results. Cannot be used together with `filter_view_id`. See the [full guide to filtering and sorting here](/rest-api/guides/filtering-and-sorting)."
},
"filter_view_id": {
"type": "string",
"description": "UUID of a saved view on this object or list. When set, results are filtered using that view's filter configuration. Cannot be used together with `filter`. Note: sorts, limits, and offsets are applied independently and are not taken from the view. All attributes are returned regardless of which attributes are visible in the view."
},
"limit": {
"type": "number",
"description": "The maximum number of results to return. Defaults to 500. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"offset": {
"type": "number",
"description": "The number of results to skip over before returning. Defaults to 0. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"sorts": {
"type": "array",
"description": "An object used to sort results. See the [full guide to filtering and sorting here](/rest-api/guides/filtering-and-sorting)."
}
},
"required": [
"PCID",
"list"
]
}
attio_query_objects_object_records_query
List records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | A UUID or slug to identify the object to list records for. |
filter | object | No | — | An object used to filter results to a subset of results. Cannot be used together with filter_view_id. See the full guide to filtering and sorting here. |
filter_view_id | string | No | — | UUID of a saved view on this object or list. When set, results are filtered using that view’s filter configuration. Cannot be used together with filter. Note: sorts, limits, and offsets are applied independently and are not taken from the view. All attributes are returned regardless of which attributes are visible in the view. |
limit | number | No | — | The maximum number of results to return. Defaults to 500. See the full guide to pagination here. |
offset | number | No | — | The number of results to skip over before returning. Defaults to 0. See the full guide to pagination here. |
sorts | any[] | No | — | An object used to sort results. See the full guide to filtering and sorting here. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "A UUID or slug to identify the object to list records for."
},
"filter": {
"type": "object",
"description": "An object used to filter results to a subset of results. Cannot be used together with `filter_view_id`. See the [full guide to filtering and sorting here](/rest-api/guides/filtering-and-sorting)."
},
"filter_view_id": {
"type": "string",
"description": "UUID of a saved view on this object or list. When set, results are filtered using that view's filter configuration. Cannot be used together with `filter`. Note: sorts, limits, and offsets are applied independently and are not taken from the view. All attributes are returned regardless of which attributes are visible in the view."
},
"limit": {
"type": "number",
"description": "The maximum number of results to return. Defaults to 500. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"offset": {
"type": "number",
"description": "The number of results to skip over before returning. Defaults to 0. See the [full guide to pagination here](/rest-api/guides/pagination)."
},
"sorts": {
"type": "array",
"description": "An object used to sort results. See the [full guide to filtering and sorting here](/rest-api/guides/filtering-and-sorting)."
}
},
"required": [
"PCID",
"object"
]
}
attio_search_objects_records_search
Search records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | number | No | — | The maximum number of results to return. Defaults to 25. |
objects | string[] | Yes | — | Specifies which objects to filter results by. At least one object must be specified. Accepts object slugs or IDs. |
query | string | Yes | — | Query string to search for. An empty string returns a default set of results. |
request_as | object | Yes | — | Specifies the context in which to perform the search. Use ‘workspace’ to return all search results or specify a workspace member to limit results to what one specific person in your workspace can see. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "number",
"description": "The maximum number of results to return. Defaults to 25."
},
"objects": {
"type": "array",
"items": {
"type": "string"
},
"description": "Specifies which objects to filter results by. At least one object must be specified. Accepts object slugs or IDs."
},
"query": {
"type": "string",
"description": "Query string to search for. An empty string returns a default set of results."
},
"request_as": {
"description": "Specifies the context in which to perform the search. Use 'workspace' to return all search results or specify a workspace member to limit results to what one specific person in your workspace can see."
}
},
"required": [
"PCID",
"objects",
"query",
"request_as"
]
}
attio_update_lists_list
Update a list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | A UUID or slug to identify the list to update. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "A UUID or slug to identify the list to update."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"name": {
"type": "string",
"description": "The human-readable name of the list."
},
"api_slug": {
"type": "string",
"description": "A unique, human-readable slug to access the list through API calls. Should be formatted in snake case."
},
"workspace_access": {
"type": "string",
"description": "The level of access granted to all members of the workspace for this list. Pass `null` to keep the list private and only grant access to specific workspace members.",
"enum": [
"full-access",
"read-and-write",
"read-only"
]
},
"workspace_member_access": {
"type": "array",
"items": {
"type": "object"
},
"description": "The level of access granted to specific workspace members for this list. Pass an empty array to grant access to no workspace members."
}
}
}
},
"required": [
"PCID",
"list",
"data"
]
}
attio_update_lists_list_entries_entry_id
Update a list entry (append multiselect values) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | A UUID or slug of the list the list entry belongs to. |
entry_id | string | Yes | — | A UUID of the list entry to update. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "A UUID or slug of the list the list entry belongs to."
},
"entry_id": {
"type": "string",
"description": "A UUID of the list entry to update."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"entry_values": {
"type": "object",
"description": "An object with an attribute `api_slug` or `attribute_id` as the key, and a single value (for single-select attributes), or an array of values (for single or multi-select attributes) as the values. For complete documentation on values for all attribute types, please see our [attribute type docs](/docs/attribute-types)."
}
},
"required": [
"entry_values"
]
}
},
"required": [
"PCID",
"list",
"entry_id",
"data"
]
}
attio_update_objects_object
Update an object Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | A UUID or slug to identify the object. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "A UUID or slug to identify the object."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"api_slug": {
"type": "string",
"description": "A unique, human-readable slug to access the object through URLs and API calls. Should be formatted in snake case."
},
"singular_noun": {
"type": "string",
"description": "The singular form of the object's name."
},
"plural_noun": {
"type": "string",
"description": "The plural form of the object's name."
}
}
}
},
"required": [
"PCID",
"object",
"data"
]
}
attio_update_objects_object_records_record_id
Update a record (append multiselect values) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | A UUID or slug of the object the record belongs to. |
record_id | string | Yes | — | A UUID of the record to update. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "A UUID or slug of the object the record belongs to."
},
"record_id": {
"type": "string",
"description": "A UUID of the record to update."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"values": {
"type": "object",
"description": "An object with an attribute `api_slug` or `attribute_id` as the key, and a single value (for single-select attributes), or an array of values (for single or multi-select attributes) as the values. For complete documentation on values for all attribute types, please see our [attribute type docs](/docs/attribute-types)."
}
},
"required": [
"values"
]
}
},
"required": [
"PCID",
"object",
"record_id",
"data"
]
}
attio_update_target_identifier_attributes_attribute
Update an attribute Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Whether the attribute is on an object or a list. |
identifier | string | Yes | — | A UUID or slug to identify the object or list the attribute belongs to. |
attribute | string | Yes | — | A UUID or slug to identify the attribute. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Whether the attribute is on an object or a list.",
"enum": [
"objects",
"lists"
]
},
"identifier": {
"type": "string",
"description": "A UUID or slug to identify the object or list the attribute belongs to."
},
"attribute": {
"type": "string",
"description": "A UUID or slug to identify the attribute."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"title": {
"type": "string",
"description": "The name of the attribute. The title will be visible across Attio's UI."
},
"description": {
"type": "string",
"description": "A text description for the attribute."
},
"api_slug": {
"type": "string",
"description": "A unique, human-readable slug to access the attribute through URLs and API calls. Formatted in snake case."
},
"is_required": {
"type": "boolean",
"description": "When `is_required` is `true`, new records/entries must have a value for this attribute. If `false`, values may be `null`. This value does not affect existing data and you do not need to backfill `null` values if changing `is_required` from `false` to `true`."
},
"is_unique": {
"type": "boolean",
"description": "Whether or not new values for this attribute must be unique. Uniqueness restrictions are only applied to new data and do not apply retroactively to previously created data."
},
"default_value": {
"description": "The default value for this attribute. Static values are used to directly populate values using their contents. Dynamic values are used to lookup data at the point of creation. For example, you could use a dynamic value to insert a value for the currently logged in user. Which default values are available is dependent on the type of the attribute. Default values are not currently supported on people or company objects."
},
"config": {
"type": "object",
"description": "Additional, type-dependent configuration for the attribute."
},
"is_archived": {
"type": "boolean",
"description": "Whether the attribute has been archived or not. See our [archiving guide](/docs/archiving-vs-deleting) for more information on archiving."
}
}
}
},
"required": [
"PCID",
"target",
"identifier",
"attribute",
"data"
]
}
attio_update_target_identifier_attributes_attribute_options_option
Update a select option Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Whether the attribute is on an object or a list. |
identifier | string | Yes | — | A UUID or slug to identify the object or list the select attribute belongs to. |
attribute | string | Yes | — | A UUID or slug to identify the select attribute. |
option | string | Yes | — | A UUID or select option title to identify the select option you would like to update. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Whether the attribute is on an object or a list.",
"enum": [
"objects",
"lists"
]
},
"identifier": {
"type": "string",
"description": "A UUID or slug to identify the object or list the select attribute belongs to."
},
"attribute": {
"type": "string",
"description": "A UUID or slug to identify the select attribute."
},
"option": {
"type": "string",
"description": "A UUID or select option title to identify the select option you would like to update."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"title": {
"type": "string",
"description": "The Title of the select option"
},
"is_archived": {
"type": "boolean",
"description": "Whether or not to archive the select option. See our [archiving guide](/docs/archiving-vs-deleting) for more information on archiving."
}
}
}
},
"required": [
"PCID",
"target",
"identifier",
"attribute",
"option",
"data"
]
}
attio_update_target_identifier_attributes_attribute_statuses_status
Update a status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Whether the attribute is on an object or a list. |
identifier | string | Yes | — | A UUID or slug to identify the object or list the status attribute belongs to. |
attribute | string | Yes | — | A UUID or slug to identify the attribute to update the status on. |
status | string | Yes | — | A UUID or status title to identify the status to update. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Whether the attribute is on an object or a list.",
"enum": [
"lists",
"objects"
]
},
"identifier": {
"type": "string",
"description": "A UUID or slug to identify the object or list the status attribute belongs to."
},
"attribute": {
"type": "string",
"description": "A UUID or slug to identify the attribute to update the status on."
},
"status": {
"type": "string",
"description": "A UUID or status title to identify the status to update."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"title": {
"type": "string",
"description": "The Title of the status"
},
"celebration_enabled": {
"type": "boolean",
"description": "Whether arriving at this status triggers a celebration effect"
},
"target_time_in_status": {
"type": "string",
"description": "Target time for a record to spend in given status expressed as a ISO-8601 duration string"
},
"is_archived": {
"type": "boolean",
"description": "Whether or not to archive the status. See our [archiving guide](/docs/archiving-vs-deleting) for more information on archiving."
}
}
}
},
"required": [
"PCID",
"target",
"identifier",
"attribute",
"status",
"data"
]
}
attio_update_tasks_task_id
Update a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | The ID of the task to update. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "The ID of the task to update."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"deadline_at": {
"type": "string",
"description": "The deadline of the task, in ISO 8601 format."
},
"is_completed": {
"type": "boolean",
"description": "Whether the task has been completed."
},
"linked_records": {
"type": "array",
"description": "Records linked to the task. Records can be linked by domain (for companies), email address (for people), record ID (for all objects) or by a unique matching attribute (for all objects). Creating record links within task content text is not possible via the API at present."
},
"assignees": {
"type": "array",
"description": "Workspace members assigned to this task."
}
}
}
},
"required": [
"PCID",
"task_id",
"data"
]
}
attio_update_webhooks_webhook_id
Update a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | A UUID which identifies the webhook. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "A UUID which identifies the webhook."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"target_url": {
"type": "string",
"description": "URL where the webhook events will be delivered to."
},
"subscriptions": {
"type": "array",
"items": {
"type": "object"
},
"description": "One or more events the webhook is subscribed to."
}
}
}
},
"required": [
"PCID",
"webhook_id",
"data"
]
}
attio_upsert_lists_list_entries
Upsert a list entry by parent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | A UUID or slug of the list the list entry belongs to. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "A UUID or slug of the list the list entry belongs to."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"parent_record_id": {
"type": "string",
"description": "A UUID identifying the record you want to add to the list. The record will become the 'parent' of the created list entry."
},
"parent_object": {
"type": "string",
"description": "A UUID or slug identifying the object that the added parent record belongs to."
},
"entry_values": {
"type": "object",
"description": "An object with an attribute `api_slug` or `attribute_id` as the key, and a single value (for single-select attributes), or an array of values (for single or multi-select attributes) as the values. For complete documentation on values for all attribute types, please see our [attribute type docs](/docs/attribute-types)."
}
},
"required": [
"parent_record_id",
"parent_object",
"entry_values"
]
}
},
"required": [
"PCID",
"list",
"data"
]
}
attio_upsert_lists_list_entries_entry_id
Update a list entry (overwrite multiselect values) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list | string | Yes | — | A UUID or slug of the list the list entry belongs to. |
entry_id | string | Yes | — | A UUID of the list entry to update. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list": {
"type": "string",
"description": "A UUID or slug of the list the list entry belongs to."
},
"entry_id": {
"type": "string",
"description": "A UUID of the list entry to update."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"entry_values": {
"type": "object",
"description": "An object with an attribute `api_slug` or `attribute_id` as the key, and a single value (for single-select attributes), or an array of values (for single or multi-select attributes) as the values. For complete documentation on values for all attribute types, please see our [attribute type docs](/docs/attribute-types)."
}
},
"required": [
"entry_values"
]
}
},
"required": [
"PCID",
"list",
"entry_id",
"data"
]
}
attio_upsert_objects_object_records
Upsert a record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | A UUID or slug to identify the object the record should belong to. |
matching_attribute | string | Yes | — | The ID or slug of the attribute to use to check if a record already exists. The attribute must be unique. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "A UUID or slug to identify the object the record should belong to."
},
"matching_attribute": {
"type": "string",
"description": "The ID or slug of the attribute to use to check if a record already exists. The attribute must be unique."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"values": {
"type": "object",
"description": "An object with an attribute `api_slug` or `attribute_id` as the key, and a single value (for single-select attributes), or an array of values (for single or multi-select attributes) as the values. For complete documentation on values for all attribute types, please see our [attribute type docs](/docs/attribute-types)."
}
},
"required": [
"values"
]
}
},
"required": [
"PCID",
"object",
"matching_attribute",
"data"
]
}
attio_upsert_objects_object_records_record_id
Update a record (overwrite multiselect values) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object | string | Yes | — | A UUID or slug of the object the record belongs to. |
record_id | string | Yes | — | A UUID of the record to update. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object": {
"type": "string",
"description": "A UUID or slug of the object the record belongs to."
},
"record_id": {
"type": "string",
"description": "A UUID of the record to update."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"values": {
"type": "object",
"description": "An object with an attribute `api_slug` or `attribute_id` as the key, and a single value (for single-select attributes), or an array of values (for single or multi-select attributes) as the values. For complete documentation on values for all attribute types, please see our [attribute type docs](/docs/attribute-types)."
}
},
"required": [
"values"
]
}
},
"required": [
"PCID",
"object",
"record_id",
"data"
]
}

